<template>
  <div class="pay-redirect">
    <h2>正在处理支付结果，请稍候...</h2>
  </div>
</template>

<script>

export default {
  name: 'PayRedirect',
  data(){
    return {
        text:'正在处理支付结果，请稍候...'
    }
  },
  mounted() {

    const query = this.$route.query;
    // 校验必要字段
    if (!query || !query.out_trade_no || !query.trade_status) {
      alert('参数不完整，无法确认支付结果');
      return;
    }

    this.$api.payNotice(query.pid,query.trade_no,query.out_trade_no,query.type,query.name,query.money,query.trade_status,query.sign,query.sign_type)
    .then(res => {
      console.log('通知后端成功', res.data);
      this.$router.push('/layout/balance');
    })
    .catch(err => {
      console.error('通知后端失败', err);
      this.text = '支付失败'
    });
  }
};
</script>
